Repository 32bit  Forum
Repository 64bit  Wiki

Xorg modulare + beryl + slamd64

Forum dedicato ai Porting ufficiali e non di Slackware, vedi Slack/390, ARMedslack, Slamd64, Slackintosh, Ocsid, Sloox, Zenwalk, How-Tux, Slax etc etc

Moderatore: Staff

Regole del forum
1) Specificare nome e versione del porting.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Messaggioda pippoZzz » mer mar 14, 2007 16:47

Allora se ho capito bene i passi che devo fare sono:

sh ./x11.SlackBuild
installpkg /tmp/x11[*].tgz

sh ./libwnck.SlackBuild
installpkg /tmp/libwnck[*].tgz

sh ./fglrx.SlackBuild
installpkg /tmp/fglrx[*].tgz

sh ./beryl-core.SlackBuild
installpkg /tmp/beryl-core[*].tgz

sh ./beryl-setting.SlackBuild
installpkg /tmp/beryl-setting[*].tgz

sh ./beryl-plugin.SlackBuild
installpkg /tmp/beryl-plugin[*].tgz

sh ./beryl-manager.SlackBuild
installpkg /tmp/beryl-manager[*].tgz

sh ./emerald.SlackBuild
installpkg /tmp/emerald[*].tgz

sh ./emerald.-theme.SlackBuild
installpkg /tmp/emerald-theme[*].tgz

riavvio kde e runno beryl-manager (che prima non trovavo...)

se è giusto provo altrimenti si vede che non ho ben capito come funziona...

se tutto va come si spera... installerò anche gli altri pacchetti che se ho ben capito sono solo differenti temi... giusto??

La cosa che meno mi convince è che non so quando installare le librerie.. che nello scriptino sopra ho messo come primi 3 passi...

Spero di averci azzeccato stavolta...
pippoZzz
Linux 1.0
Linux 1.0
 
Messaggi: 24
Iscritto il: mar mar 13, 2007 4:19

Messaggioda prometeo79 » mer mar 14, 2007 16:58

Direi che non hai capito
Codice: Seleziona tutto
sh ./x11.SlackBuild
installpkg /tmp/x11[*].tgz


NO. Hai già installato xorg, questo non ti serve

Codice: Seleziona tutto
sh ./libwnck.SlackBuild
installpkg /tmp/libwnck[*].tgz


NO. Installa quella che ti ho passato nel precedente post

Codice: Seleziona tutto
sh ./fglrx.SlackBuild
installpkg /tmp/fglrx[*].tgz


Che scheda video hai? Se hai ati si, se hai nvidia no


Tutto il resto sì PREVIO aver installato le librerie.
Avatar utente
prometeo79
Linux 3.x
Linux 3.x
 
Messaggi: 1278
Iscritto il: gio mar 17, 2005 0:00
Località: Torino
Slackware: 12

Messaggioda pippoZzz » mer mar 14, 2007 17:07

no, scusa, questo post ho sbagliato a farlo ....

l'ho fatto prima del tuo ultimo post...

sto andando in pappa...

adesso riprovo tutto...

installo nell'ordine

beryl-core
beryl-setting
beryl-plugin
beryl-manager
emerald
emerald-theme

giusto??

poi avvio kde ed eseguo beryl-manager.... ok??
pippoZzz
Linux 1.0
Linux 1.0
 
Messaggi: 24
Iscritto il: mar mar 13, 2007 4:19

Messaggioda pippoZzz » mer mar 14, 2007 17:21

ok almeno adesso beryl-manager c'è...

lo avvio da esegui ma nella tray non appare il famigerato diamante..

allora lo avvio da shell la quale mi dice....

root@laptop:/# sh: glxinfo: command not found

** (beryl-manager:15985): CRITICAL **: No Display Manager Found!: Success

glxinfo deriva dai driver (ho una nvidia) o è una libreria a parte??
pippoZzz
Linux 1.0
Linux 1.0
 
Messaggi: 24
Iscritto il: mar mar 13, 2007 4:19

Messaggioda prometeo79 » mer mar 14, 2007 17:28

Prima installi le librerie e poi esegui gli slackbuild.
Poi segui questa parte della guida di Meska


Codice: Seleziona tutto
Infine installiamo il drivers nvidia

# ./NVIDIA-Linux-x86-1.0-9***-pkg1.run

Ora configuriamo X11 ,aprite con un editor di testo

/etc/X11/xorg.conf

aggiungete questa voce

Section "Extensions"
    Option         "Composite" "Enable"
EndSection


sotto la sezione "Screen" aggiungete

Option         "AddARGBGLXVisuals" "true"
Option         "DisableGLXRootClipping" "true"

sotto la sezione "Device" aggiungete

Option "TripleBuffer" "true"
Option  "RenderAccel" "true"
Option  "AllowGLXWithComposite" "true"

Attenzione se non avete memoria video sufficente
disabilitate triple buffer.
Avatar utente
prometeo79
Linux 3.x
Linux 3.x
 
Messaggi: 1278
Iscritto il: gio mar 17, 2005 0:00
Località: Torino
Slackware: 12

Messaggioda pippoZzz » mer mar 14, 2007 17:55

Mmmmm adesso il diamante si vede ma...

nella shell in cui lo lancio da questo errore all'infinito...

[....................]
** (beryl-manager:18589): WARNING **: decorator Standard Beryl Decorator (Emerald) returned unsuccessfully

** (beryl-manager:18589): WARNING **: Couldn't launch selected decorator:Standard Beryl Decorator (Emerald)

** (beryl-manager:18589): WARNING **: decorator Standard Beryl Decorator (Emerald) returned unsuccessfully

** (beryl-manager:18589): WARNING **: Couldn't launch selected decorator:Standard Beryl Decorator (Emerald)

** (beryl-manager:18589): WARNING **: decorator Standard Beryl Decorator (Emerald) returned unsuccessfully

** (beryl-manager:18589): WARNING **: Couldn't launch selected decorator:Standard Beryl Decorator (Emerald)

** (beryl-manager:18589): WARNING **: decorator Standard Beryl Decorator (Emerald) returned unsuccessfully

** (beryl-manager:18589): WARNING **: Couldn't launch selected decorator:Standard Beryl Decorator (Emerald)
[..............]

Il problema è emerald adesso...

comunque prima l'ho installato come tutto il resto...

tu che dici??
pippoZzz
Linux 1.0
Linux 1.0
 
Messaggi: 24
Iscritto il: mar mar 13, 2007 4:19

Messaggioda pippoZzz » mer mar 14, 2007 18:00

comunque la grafica è perfetta e il cubo ruota e turnica bene ed alcuni effetti (per quello che ho visto.. tipo la riduzione ad icona) funzionano....

Non vedo le barre sopra alle finestre... e mi da quell'errore...

Ma l'errore non mi dice nulla di piu specifico....
pippoZzz
Linux 1.0
Linux 1.0
 
Messaggi: 24
Iscritto il: mar mar 13, 2007 4:19

Messaggioda prometeo79 » mer mar 14, 2007 18:52

Forse qualche errore con emerald in compilazione....
Comunque prova così, sul diamante dai tasto destro e scegli emerald theme manager, da li scegli un tema e chiudi.
Dovrebbe ricaricarti beryl con le impostazioni da te scelte e farti vedere le barre delle finestre
Avatar utente
prometeo79
Linux 3.x
Linux 3.x
 
Messaggi: 1278
Iscritto il: gio mar 17, 2005 0:00
Località: Torino
Slackware: 12

Messaggioda pippoZzz » mer mar 14, 2007 19:19

prima mi si era avviato beryl-manager....

poi ho chiuso la sessione e riavviato startx...

beryl-manager continua a darmi

root@laptop:~# beryl-manager
root@laptop:~# sh: glxinfo: command not found

** (beryl-manager:333): CRITICAL **: No Display Manager Found!: Success

non so piu cosa fare... sembra esserci tutto...

xorg.cong lo so a memoria e dovrebbe essere tutto giusto a meno che non ci sia qualche vecchia impostazione che va in conflitto con le nuove direttive che ho messo (quelle di meska...)

Non so....
pippoZzz
Linux 1.0
Linux 1.0
 
Messaggi: 24
Iscritto il: mar mar 13, 2007 4:19

Messaggioda pippoZzz » mer mar 14, 2007 20:28

Ok facendo ./configure e poi make di emerald (scompattato) mi da quest'errore...

/usr/bin/sed: can't read /usr/lib64/libglitz.la: No such file or directory
libtool: link: `/usr/lib64/libglitz.la' is not a valid libtool archive
make[2]: *** [libemeraldengine.la] Error 1
make[2]: Leaving directory `/UPGRADE-BERYL/beryl/emerald-0.1.4/libengine'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/UPGRADE-BERYL/beryl/emerald-0.1.4'
make: *** [all] Error 2

Quindi nemmeno la slackbuild può installarlo correttamente giusto??

Adesso devo solo trovare ste maledette libgliz.la che non trovo da nessuna parte...

Google non mi dice nulla di buono o quantomeno, come al solito non so dove cercare...

Boh.. continuo a cercare....
pippoZzz
Linux 1.0
Linux 1.0
 
Messaggi: 24
Iscritto il: mar mar 13, 2007 4:19

Messaggioda pippoZzz » mer mar 14, 2007 22:17

rettifico... lo slackbuild non restituisce errori...

non so se li faccia o meno...

libglx continua a non essere trovato...

beryl-manager continua a dare lo stesso errore...

in compenso credo di aver letto tutte le pagine indicizzate da google.....

e beryl... :shock: non va
pippoZzz
Linux 1.0
Linux 1.0
 
Messaggi: 24
Iscritto il: mar mar 13, 2007 4:19

Messaggioda pippoZzz » mer mar 14, 2007 23:00

ho provato a installare acquamarine...
scompattato
./configure
make
make install

beryl-manager dice che non è compatibile ma si avvia e qualcosa fa...
ancora mancano le barre e quant'altro...

moooolto instabile.......

boh.... non so piu che pesci pigliare....

forse rifacendo tutto ex novo....

avendo seguito dapprima la guida di meske e poi il tuo aiuto mi ritrovo con X11R6 X11R7 e X11......
con link alla ca**o di cane e librerie sfuse installate reinstallate rereinstallate... un puttanaio insomma....

mi sa che mi scrivo un piccolo howto adattando i link di meska all X11 e non all'X11R7 seguola linea base che mi hai dato tu...

e rifaccio tuuuuuutto quanto...

magari se ci riesco scrivo un howto completo... ma per ora devo far funzionare il mio prima ;) ;)
pippoZzz
Linux 1.0
Linux 1.0
 
Messaggi: 24
Iscritto il: mar mar 13, 2007 4:19

Messaggioda prometeo79 » gio mar 15, 2007 18:35

Grande novità!

http://anorien.warwick.ac.uk/mirrors/sl ... /packages/

Ci sono i pacchetti di xorg 7.2 e beryl 0.1.9999.2

Li testo e ti dico come vanno
Avatar utente
prometeo79
Linux 3.x
Linux 3.x
 
Messaggi: 1278
Iscritto il: gio mar 17, 2005 0:00
Località: Torino
Slackware: 12

Messaggioda pippoZzz » ven mar 16, 2007 14:32

Belllaaaaa!!!!

Settimena prossima li provo.....

Dovrebbe essere piu semplice che ricompilare tutto ;) quantomeno più veloce...... :lol: :lol:

Chissa se si trova pure emerald... :roll: :roll:

Attendo tue notizie... good lock ;) ;)
pippoZzz
Linux 1.0
Linux 1.0
 
Messaggi: 24
Iscritto il: mar mar 13, 2007 4:19

Messaggioda prometeo79 » ven mar 16, 2007 14:39

Quello è il meno! Se riesco a farlo andare compilo emerald e ti passo i pacchetti. Per ora ho il laptop in panne! :lol:
Devo risolvere delle incompatibilità con i driver synaptics del touchpad
Avatar utente
prometeo79
Linux 3.x
Linux 3.x
 
Messaggi: 1278
Iscritto il: gio mar 17, 2005 0:00
Località: Torino
Slackware: 12

PrecedenteProssimo

Torna a Porting Slackware

Chi c’è in linea

Visitano il forum: Nessuno e 3 ospiti